<?php

namespace Litecms\Forum\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Question extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'litecms.forum.question.model';


    /**
     * The category that belong to the question.
     */
    public function category(){
        return $this->hasOne('Forum\Question\Models\Category');
    }


    /**
     * The response that belong to the question.
     */
    public function response(){
        return $this->hasMany('Forum\Question\Models\Response');
    }
}
